# localchat

A Python 3 *local-only* chat client, for when multiple people at the same computer want to communicate quickly.

### Requirements

* Python 3.5+
* PySide2 (`pip3 install PySide2`)

### Config

Edit `config.ini` to change the app's behavior.

Set `timestamp=1` to add HH:MM:SS timestamps to the chat window, `=0` to not use timestamps.

Set `logfile=<filename>` to log each line of chat to the specified file. Remove the filename (i.e. `logfile=`) to disable logging.

Set `sizew` and `sizeh` to set the width and height, respectively, of the window in pixels.

List the `users` you'd like to include in the chat, separated by commas.

List `colors` for each user, using RGB hexadecimal codes (like #ff0000 for bright red). If a user isn't assigned a color, their text will be black (#000000).

### Usage

`> python3 main.py`

Each user gets their own input line at the bottom of the window. Pressing `Enter` in a given input line will send that line (and *only* that line, not any of the others) to the chat window. Easy as that!